<?php
namespace Modules\Admin\ExportData\ClientInvoices;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
			->setDescription($this->lang['index']['options']['description']['insert'])
			->setDimensions(650, 600)
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
			->setDescription($this->lang['index']['options']['description']['update'])
			->setDimensions(650, 400)
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("clone")
			->setDescription($this->lang['index']['options']['description']['clone'])
			->setSection("row")
			->setIcon("clone")
			->setAction("insert")
			->setDimensions(650, 520)
			->setKeyForCurrentRow("idClonedRule")
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
			->setDescription($this->lang['index']['options']['description']['delete'])
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
			->setDescription($this->lang['index']['options']['description']['delete'])
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("simulate")
			->setDescription($this->lang['index']['options']['description']['simulate'])
			->setSection("global")
			->setIcon("generate")
			->setAction("simulate")
			->setDimensions(650, 600)
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("cloneBulk")
			->setDescription($this->lang['index']['options']['description']['cloneBulk'])
			->setSection("global")
			->setIcon("addGroup")
			->setAction("cloneBulk")
			->setDimensions(650, 530)
			)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("export")
			->setDescription($this->lang['index']['options']['description']['export'])
			->setSection("global")
			->setIcon("export")
			->setAction("export")
			->setDimensions(650, 580)
		)
		->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("exportFields")
			->setDescription($this->lang['index']['options']['description']['exportFields'])
			->setSection("global")
			->setModule('Modules/Admin/ExportData/ExportFields')
			->setAction("index")
			->addParam("exportType", 'clientInvoices')
			->setIcon("mandatory")
			->setDimensions(950, 520)
		)
		;
	}
}
